classification
Title: For Cygwin built Python use Cygwin like an UNIX C compiler
Type: Stage:
Components: Distutils Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, jlt63, rliebscher
Priority: normal Keywords: patch

Created on 2001-02-22 15:54 by rliebscher, last changed 2001-02-27 19:13 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
None rliebscher, 2001-02-22 15:54 None
Messages (4)
msg35823 - (view) Author: Rene Liebscher (rliebscher) Date: 2001-02-22 15:54
The patch from 1.37->1.38 went too far, as it assigns
the cygwinccompiler class as default for Pythons built
with cygwin.
You can use cygwin in this case as normal UNIX-like compiler. (cygwinccompiler needs some work to handle the
differences in Cygwin- and MSVC-Python. Makefile and
config files are currently ignored by cygwinccompiler, 
as it was written to support cygwin for extensions
which are intended to be used with the standard MSVC built Python.)
msg35824 - (view) Author: Jason Tishler (jlt63) * (Python triager) Date: 2001-02-27 17:13
Logged In: YES 
user_id=86216

Will this patch be committed in time for Beta 1 scheduled for Thursday, 3/1/01? Without it Cygwin Python no 
longer builds OOTB.
msg35825 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2001-02-27 17:31
Logged In: YES 
user_id=11375

Assigning to myself; I'll look at it after lunch.
msg35826 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2001-02-27 19:13
Logged In: YES 
user_id=11375

Accepted and checked in; thanks!
History
Date User Action Args
2001-02-22 15:54:49rliebschercreate